--- title: "CloudBasicCertificateRequest" slug: "security-certificatemanager-cloudbasiccertificaterequest" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-certificatemanager-cloudbasiccertificaterequest" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # CloudBasicCertificateRequest Available in Classic and VPC Request a Cloud Basic certificate. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v2/certificate/requestCertificateIssuance | ### Request headers For information about the headers common to all Certificate Manager APIs, see [Certificate Manager request headers](/docs/en/security-certificatemanager#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `certificateName` | String | Required | Certificate name | | `commonName` | String | Required | Domain to be included in the certificate CN (Common Name) | | `dnsName` | Array | Optional | List of domains to be included in the certificate SAN (Subject Alternative Name) | | `validationMethod` | String | Required | Certificate domain control (DCV) validation method - `D`: Validation method using DNS CNAME records | ### Request example The request example is as follows: ``` curl --location --request POST 'https://certificatemanager.apigw.ntruss.com/api/v2/certificate/requestCertificateIssuance' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'accept: application/json' \ --data '{ "certificateName": "ncloudcertificate", "commonName": "*.ncloud.com", "dnsName": ["ncloud.com","ncloud-docs.com"], "validationMethod": "D" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | - | Response code | | `returnMessage` | String | - | Response message | | `totalRows` | Integer | - | Total number of lists searched | | `certificateName` | String | - | Certificate name | | `commonName` | String | - | Domain to be included in the certificate CN (Common Name) | | `dnsName` | String | - | List of domains to be included in the certificate SAN (Subject Alternative Name) | | `validationMethod` | String | - | Domain ownership (DCV) validation method | | `requestSn` | String | - | Unique request identifier | ### Response status codes For information about the HTTP status codes common to all Certificate Manager APIs, see [Certificate Manager response status codes](/docs/en/security-certificatemanager#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "Success", "totalRows": 0, "certificateName": "ncloudcertificate", "commonName": "*.ncloud.com", "dnsName": "ncloud.com,ncloud-docs.com", "validationMethod": "D", "requestSn": "0f552ca604044887be19a3d4f7d74c6d" } ```